public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/, profiles/
@ 2022-09-16 19:45 Matt Turner
  0 siblings, 0 replies; 3+ messages in thread
From: Matt Turner @ 2022-09-16 19:45 UTC (permalink / raw
  To: gentoo-commits

commit:     8ac62b8384e0fe4a95ba475fa1bf4beef46d24f1
Author:     brahmajit das <listout <AT> protonmail <DOT> com>
AuthorDate: Fri Sep 16 19:32:11 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 16 19:45:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ac62b83

gnome-extra/gnome-calculator: Version bump to 43.0.1

Closes: https://github.com/gentoo/gentoo/pull/27284
Signed-off-by: brahmajit das <listout <AT> protonmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/gnome-calculator/Manifest              |  1 +
 .../gnome-calculator-43.0.1.ebuild                 | 73 ++++++++++++++++++++++
 profiles/package.mask                              |  1 +
 3 files changed, 75 insertions(+)

diff --git a/gnome-extra/gnome-calculator/Manifest b/gnome-extra/gnome-calculator/Manifest
index c1581a7d4ffd..4f6ea90cdc9e 100644
--- a/gnome-extra/gnome-calculator/Manifest
+++ b/gnome-extra/gnome-calculator/Manifest
@@ -1 +1,2 @@
 DIST gnome-calculator-42.2.tar.xz 1199392 BLAKE2B 68b6374ac6f86e6d0db29e8839e5b302e1a8d6bc47b7d42c54195e463cfb36d3db6773a771dfb7694fa2c310181b12ddbd171b26b081e9fd9fe8c7b0595ddaee SHA512 81f644a6be66a6ca051c0adbca06eab61bd09f219385631ca2d66fff1c250c01080b3f401ff20b4ee296c0999481c8f1dc1d105521d7995ff682b8e1158ada5a
+DIST gnome-calculator-43.0.1.tar.xz 1205840 BLAKE2B d3044efb5307505485dd55c3401d0c21cc379bcfc6fdd4f0285d093c05e76f9c167c5bd65bdf899c7f3aed892258b65538020a70e690eeb459147e6bea15a94b SHA512 94ec47a03dac017801e9c499aceb2f5f6fd1c79966657c79b123476dc7f3a4a2c3e179c80763e965207b58427157cd6e072260bd79ab98a39eb011cfe3ef7c72

diff --git a/gnome-extra/gnome-calculator/gnome-calculator-43.0.1.ebuild b/gnome-extra/gnome-calculator/gnome-calculator-43.0.1.ebuild
new file mode 100644
index 000000000000..c5167e338b04
--- /dev/null
+++ b/gnome-extra/gnome-calculator/gnome-calculator-43.0.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson vala virtualx xdg
+
+DESCRIPTION="A calculator application for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Calculator"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+introspection test"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# gtksourceview vapi definitions in dev-lang/vala itself are too old, and newer vala removes them
+# altogether, thus we need them installed by gtksourceview[vala]
+RDEPEND="
+	>=dev-libs/glib-2.40.0:2
+	dev-libs/libxml2:2
+	net-libs/libsoup:3.0
+	>=dev-libs/libgee-0.20.0:0.8
+	dev-libs/mpc:=
+	dev-libs/mpfr:0=
+	>=gui-libs/gtk-4.4.1:4
+	>=gui-libs/libadwaita-1.2.0:1
+	>=gui-libs/gtksourceview-5.3.0:5
+	introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	$(vala_depend)
+	net-libs/libsoup:3.0[vala]
+	gui-libs/gtksourceview:5[vala]
+	gui-libs/libhandy:1[vala]
+"
+
+src_prepare() {
+	default
+	vala_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		-Ddisable-ui=false
+		#-Dvala-version # doesn't do anything in 3.34
+		$(meson_use !introspection disable-introspection)
+		$(meson_use test ui-tests)
+		-Dgcalc=true
+		-Dgci=true
+		-Dapp=true
+		-Ddoc=false
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx meson_src_test
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index a1725f9e4f64..29f9c058b661 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -551,6 +551,7 @@ sys-devel/automake:1.11
 # New major parallel-installable release which needs special care to not
 # end up loaded into the same process together with the earlier libsoup ABI.
 # Migration to it is expected for GNOME 42, NOT to be unmasked with GNOME 41.
+>=gnome-extra/gnome-calculator-43
 net-libs/libsoup:3.0
 
 # Thomas Deutschmann <whissi@gentoo.org> (2021-09-07)


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/, profiles/
@ 2023-03-13 21:20 Matt Turner
  0 siblings, 0 replies; 3+ messages in thread
From: Matt Turner @ 2023-03-13 21:20 UTC (permalink / raw
  To: gentoo-commits

commit:     25e42b16efafdd6dde5b7c212fc1711df42e1b8c
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Mon Mar 13 18:58:52 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 13 21:20:06 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25e42b16

gnome-extra/gnome-calculator: Version bump to 44_rc

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/30096
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/gnome-calculator/Manifest              |  1 +
 .../gnome-calculator/gnome-calculator-44_rc.ebuild | 75 ++++++++++++++++++++++
 profiles/package.mask                              |  1 +
 3 files changed, 77 insertions(+)

diff --git a/gnome-extra/gnome-calculator/Manifest b/gnome-extra/gnome-calculator/Manifest
index 11e45115d56b..1c72119691b7 100644
--- a/gnome-extra/gnome-calculator/Manifest
+++ b/gnome-extra/gnome-calculator/Manifest
@@ -1 +1,2 @@
 DIST gnome-calculator-43.0.1.tar.xz 1205840 BLAKE2B d3044efb5307505485dd55c3401d0c21cc379bcfc6fdd4f0285d093c05e76f9c167c5bd65bdf899c7f3aed892258b65538020a70e690eeb459147e6bea15a94b SHA512 94ec47a03dac017801e9c499aceb2f5f6fd1c79966657c79b123476dc7f3a4a2c3e179c80763e965207b58427157cd6e072260bd79ab98a39eb011cfe3ef7c72
+DIST gnome-calculator-44.rc.tar.xz 1073448 BLAKE2B d9a81c6f841cd9a386e452aacdc64cdf3b467eba38cc07a94a3cd854bf64de1a78b6927d9030ba2eba554a1f8b442014199da8011f0a068c903276572c81c288 SHA512 0afee2cc032bb899701ce1de1f6b6fdda5b690ca0cac6fc0fe1af7b03344ef1cf9f5df20c73d9322729e009e9de9944d3a8a76ee1ba1ed5475c8785c321543ea

diff --git a/gnome-extra/gnome-calculator/gnome-calculator-44_rc.ebuild b/gnome-extra/gnome-calculator/gnome-calculator-44_rc.ebuild
new file mode 100644
index 000000000000..e5b1cb6fe7c1
--- /dev/null
+++ b/gnome-extra/gnome-calculator/gnome-calculator-44_rc.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson vala virtualx xdg
+
+DESCRIPTION="A calculator application for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Calculator"
+SRC_URI="https://download.gnome.org/sources/${PN}/44/${PN}-44.rc.tar.xz"
+S="${WORKDIR}/${PN}-44.rc"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+introspection test"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# gtksourceview vapi definitions in dev-lang/vala itself are too old, and newer vala removes them
+# altogether, thus we need them installed by gtksourceview[vala]
+RDEPEND="
+	>=dev-libs/glib-2.40.0:2
+	dev-libs/libxml2:2
+	net-libs/libsoup:3.0
+	>=dev-libs/libgee-0.20.0:0.8
+	dev-libs/mpc:=
+	dev-libs/mpfr:0=
+	>=gui-libs/gtk-4.4.1:4
+	>=gui-libs/libadwaita-1.2.0:1
+	>=gui-libs/gtksourceview-5.3.0:5
+	introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	$(vala_depend)
+	net-libs/libsoup:3.0[vala]
+	gui-libs/gtksourceview:5[vala]
+	gui-libs/libhandy:1[vala]
+"
+
+src_prepare() {
+	default
+	vala_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		-Ddisable-ui=false
+		#-Dvala-version # doesn't do anything in 3.34
+		$(meson_use !introspection disable-introspection)
+		$(meson_use test ui-tests)
+		-Dgcalc=true
+		-Dgci=true
+		-Dapp=true
+		-Ddoc=false
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index d8cdae326eab..4abef8c91937 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -54,6 +54,7 @@ dev-ruby/net-http-persistent:3
 >=gnome-base/gnome-settings-daemon-44_rc
 >=gnome-base/gnome-shell-44_rc
 >=gnome-base/nautilus-44_rc
+>=gnome-extra/gnome-calculator-44_rc
 >=gnome-extra/gnome-shell-extensions-44_rc
 >=gui-apps/gnome-console-44_beta
 >=gui-libs/libadwaita-1.3_rc


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/, profiles/
@ 2023-07-18 22:04 Matt Turner
  0 siblings, 0 replies; 3+ messages in thread
From: Matt Turner @ 2023-07-18 22:04 UTC (permalink / raw
  To: gentoo-commits

commit:     b70508c5b914f684a62fbecc42935f0252ee914c
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Thu Jun 29 22:50:54 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 18 22:04:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b70508c5

gnome-extra/gnome-calculator: Version bump to 45_alpha

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31673
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 gnome-extra/gnome-calculator/Manifest              |  1 +
 .../gnome-calculator-45_alpha.ebuild               | 74 ++++++++++++++++++++++
 profiles/package.mask                              |  1 +
 3 files changed, 76 insertions(+)

diff --git a/gnome-extra/gnome-calculator/Manifest b/gnome-extra/gnome-calculator/Manifest
index 9a37ca02ab29..f7b79dd7fcff 100644
--- a/gnome-extra/gnome-calculator/Manifest
+++ b/gnome-extra/gnome-calculator/Manifest
@@ -1 +1,2 @@
 DIST gnome-calculator-44.0.tar.xz 1075480 BLAKE2B a4e7af52e06a59a1a07baf3e34dbfc90dc8852cab3f44fe2018e3279cf7dab7c9cffe23bff2d7cc8b9b3708b652b9b8ae2fa65ff403c559fc1bfd060e4645575 SHA512 7c1428873c00a2052b966a0687f2a944dce67e889c8e113a794a7d5f0bafe9ff52562e2b1985bcf48d05a5a0a2f4ff97e490a43810b5243367fce9c6ada79fa6
+DIST gnome-calculator-45.alpha.tar.xz 1090752 BLAKE2B 7db9b24e74b193333b1c12ad404a11565685d4f7eddd2659cd0705b328ac8f3de477baab094be4d1b592899beb9d1f5069e18c702df22d630b464db47f4b47fe SHA512 51b6e09921b80121493a5597742965555243452e780a794d2a8b50f391879fcf13cea458ce34e8a2f6e90c0edfd8e8a553b73b5e17a9b4ab735b4d12ce059e7d

diff --git a/gnome-extra/gnome-calculator/gnome-calculator-45_alpha.ebuild b/gnome-extra/gnome-calculator/gnome-calculator-45_alpha.ebuild
new file mode 100644
index 000000000000..d2baf4a89433
--- /dev/null
+++ b/gnome-extra/gnome-calculator/gnome-calculator-45_alpha.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson vala virtualx xdg
+
+DESCRIPTION="A calculator application for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Calculator"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+introspection test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# gtksourceview vapi definitions in dev-lang/vala itself are too old, and newer vala removes them
+# altogether, thus we need them installed by gtksourceview[vala]
+RDEPEND="
+	>=dev-libs/glib-2.40.0:2
+	dev-libs/libxml2:2
+	net-libs/libsoup:3.0
+	>=dev-libs/libgee-0.20.0:0.8
+	dev-libs/mpc:=
+	dev-libs/mpfr:0=
+	>=gui-libs/gtk-4.4.1:4
+	>=gui-libs/libadwaita-1.2.0:1
+	>=gui-libs/gtksourceview-5.3.0:5
+	introspection? ( >=dev-libs/gobject-introspection-1.58:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-libs/appstream-glib
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	$(vala_depend)
+	net-libs/libsoup:3.0[vala]
+	gui-libs/gtksourceview:5[vala]
+	gui-libs/libhandy:1[vala]
+"
+
+src_prepare() {
+	default
+	vala_setup
+	xdg_environment_reset
+}
+
+src_configure() {
+	local emesonargs=(
+		-Ddisable-ui=false
+		#-Dvala-version # doesn't do anything in 3.34
+		$(meson_use !introspection disable-introspection)
+		$(meson_use test ui-tests)
+		-Dgcalc=true
+		-Dgci=true
+		-Dapp=true
+		-Ddoc=false
+	)
+	meson_src_configure
+}
+
+src_test() {
+	XDG_SESSION_TYPE=x11 virtx dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index 695b54a62c31..326049890e59 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -215,6 +215,7 @@ dev-perl/Gtk2-Notify
 >=gnome-base/gnome-settings-daemon-45_alpha
 >=gnome-base/gnome-shell-45_alpha
 >=gnome-base/gsettings-desktop-schemas-45_alpha
+>=gnome-extra/gnome-calculator-45_alpha
 >=gnome-extra/gnome-characters-45_alpha
 >=gnome-extra/gnome-shell-extensions-45_alpha
 >=gnome-extra/gnome-system-monitor-45_alpha


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2023-07-18 22:04 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-18 22:04 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-calculator/, profiles/ Matt Turner
  -- strict thread matches above, loose matches on Subject: below --
2023-03-13 21:20 Matt Turner
2022-09-16 19:45 Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox